Subject: Re: Importing from tarballs; add, rm, update-index?

From: Peter Baumann <[email-masked]>
Date: Sat, 13 Jan 2007 10:33:22 +0100

On Fri, Jan 12, 2007 at 04:48:09PM -0800, Junio C Hamano wrote:
> Peter Baumann <[email-masked]> writes:
> 
> > Yes. I fully second Linus opinion. But I think there should be
> > a difference in adding completly new content to the index
> > (number of entries in the index grows) or replacing content in
> > the index.
> 
> Huh?
> 
> > ? So take five minutes to really think about that. Take an hour. Take a 
> > ? week. Ponder it.
> 
> I'd second this ;-).
> 
> > ? What does it mean to "add" something to a project? It has _nothing_ to do 
> > ? with "filenames". Yeah, the filename obviously exists, but it's not 
> > ? something that exists on its own. You add the ONLY thing that git tracks. 
> > ? 
> > ? You add CONTENT.
> > ? 
> > ? When you do "git add file.c" you aren't adding a filename to the list of 
> > ? files that git knows about. Not even CLOSE. No. You are really adding 
> > ? _content_ to the project you are tracking.
> 
> Read this again, please.  Ponder it if you may.
> 

Yes. I am adding content. And not a file. But at least to me, it makes a
*BIG* difference if I'm adding totally new content (reserving one more
bucket where to place to content) or just replacing the content *in* one
of those already reserved buckets. And that has nothing to do with
files (or at least the silly me can't grok it).

> > ? So even without an index, "git add" should work the way it works, once you 
> > ? can just let go of the broken model that is CVS.
> > ? 
> > ? Please. Join me, Luke. The power of the git side is stronger. I am your 
> > ? father. 
> > ? 
> > ?			Linus
> 
> And probably I am your uncle ;-).
> 

You are welcome :-)

-Peter